### Function

# GLib Array sort

#### Declaration

    void
    g_array_sort (
      GArray* array,
      GCompareFunc compare_func
    )

#### Description

Sorts a `GArray` using `compare_func` which should be a qsort()-style comparison function (returns less than zero for first arg is less than second arg, zero for equal, greater zero if first arg is greater than second arg).

This is guaranteed to be a stable sort since version 2.32.

This function is not directly available to language bindings.

#### Parameters

`array`

  Type: An array of `gpointer`

  A `GArray`.

  The data is owned by the caller of the function.

`compare_func`

  Type: `GCompareFunc`

  Comparison function.